#include <stdlib.h>
#include <fxlib.h>

#include "engine.h"
#include "key.h"
#include "menu.h"
#include "save.h"
#include "time.h"


int AddIn_main(int isAppli, unsigned short OptionNum)
{
	int key, id_level, unlock;

	srand(time_getTicks());

	menu_title();
	id_level = unlock = save_read();
	while(id_level = menu_main(id_level, unlock)) {
		if(id_level == 1) engine_intro(DIALOG_INTRO);
		id_level = engine_main(id_level);
		if(id_level > unlock) {
			unlock = id_level;
			save_write(unlock);
		}
		if(id_level > NB_LEVEL) {
			engine_intro(DIALOG_END);
			menu_title();
		}
	}

	key_inject(KEY_CTRL_EXE);
	GetKey(&key); // for safety quit
    return 1;
}

#pragma section _BR_Size
unsigned long BR_Size;
#pragma section
#pragma section _TOP
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}
#pragma section
