#ifndef _MENU
#define _MENU

#include "draw.h"

#define NB_CIRCLE 5
#define NB_ROW 7
#define NB_COL 3
#define NB_DISPLAYED_LEVEL (NB_ROW*NB_COL)
#define ITEM_WIDTH 11
#define ITEM_HEIGHT 11
#define MENU_WIDTH (NB_ROW*(ITEM_WIDTH+1))
#define MENU_HEIGHT (NB_COL*(ITEM_HEIGHT+1))
#define MENU_X ((SCREEN_WIDTH - MENU_WIDTH)/2)
#define MENU_Y 24


/* public functions */
void menu_title();
int menu_main();

/* private functions */
static void menu_background();

#endif
