#ifndef _DRAW
#define _DRAW

#include "level.h"

#define SCREEN_WIDTH    128
#define SCREEN_HEIGHT   64
#define TILE_WIDTH      16
#define TILE_HEIGHT     16


typedef struct {
	int x, y;
} Camera;

int draw_init();
void draw_quit();
void draw_tileMap(Level* level, Camera camera);
void draw_objects(Level* level, Camera camera);

#endif
